Summary:	Maildrop mail filter/mail delivery agent
Name:		maildrop
Version:	2.5.5
Release:	%mkrel 1
License:	GPLv3
Group:		System/Servers
URL:		http://www.courier-mta.org/maildrop/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		maildrop-1.7.0-format_not_a_string_literal_and_no_format_arguments.diff
BuildConflicts:	libreoffice-common
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	fam-devel
BuildRequires:	idn-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pcre-devel
Requires:	sendmail-command

%description
Maildrop is a combination mail filter/mail delivery agent. Maildrop reads the
message to be delivered to your mailbox, optionally reads instructions from a
file how filter incoming mail, then based on these instructions may deliver
mail to an alternate mailbox, or forward it, instead of dropping the message
into your mailbox.

Maildrop uses a structured, real, meta-programming language in order to define
filtering instructions. Its basic features are fast and efficient. At sites
which carry a light load, the more advanced, CPU-demanding, features can be
used to build very sophisticated mail filters.  Maildrop deployments have
been reported at sites that support as many as 30,000 mailboxes.

Maildrop mailing list:
http://lists.sourceforge.net/lists/listinfo/courier-maildrop

This version is compiled with support for GDBM database files, maildir
enhancements (folders+quotas), and userdb.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build
export DEFAULT_DEF="./Maildir"
export MAILBOT="%{_bindir}/mailbot"

%configure2_5x \
    --disable-authlib \
    --enable-crlf-term=1 \
    --enable-global-timeout=300 \
    --enable-keep-fromline=1 \
    --enable-lockext-def=.lock \
    --enable-lockrefresh-def=15 \
    --enable-locksleep-def=5 \
    --enable-locktimeout-def=60 \
    --enable-maildirquota \
    --enable-maildrop-gid=mail \
    --enable-maildrop-uid=root \
    --enable-mimecharset=iso-8859-1 \
    --enable-restrict-trusted=0 \
    --enable-sendmail=%{_sbindir}/sendmail \
    --enable-smallmsg=8192 \
    --enable-syslog=1 \
    --enable-tempdir=.tmp \
    --enable-trusted-users="root mail daemon postfix postmaster uucp qmaild sendmail mmdf vpopmaill" \
    --enable-use-flock=1 \
    --with-db=db \
    --with-dirsync \
    --with-etcdir=%{_sysconfdir}/maildrop \
    --with-libidn=%{_prefix} \
    --without-devel \
    --with-trashquota

%make

%install
rm -rf %{buildroot}

%makeinstall_std MAILDROPUID='' MAILDROPGID=''

install -d %{buildroot}%{_sysconfdir}/maildrop/maildroprcs

install -m644 maildir/quotawarnmsg %{buildroot}%{_sysconfdir}/maildrop/quotawarnmsg

cat > %{buildroot}%{_sysconfdir}/maildrop/autoresponsesquota <<EOF
#100000000S,10000C
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirfilterconfig <<EOF
MAILDIRFILTER=../.mailfilter
MAILDIR=./Maildir
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildirshared <<EOF
#
EOF

cat > %{buildroot}%{_sysconfdir}/maildrop/maildroprc <<EOF
#logfile "/var/log/maildrop.log"
EOF

# fix html docs for proper docs inclusion
rm -rf html
mv %{buildroot}%{_datadir}/maildrop/html html

# fix so that these won't conflict with the courier-imap package
mv %{buildroot}%{_bindir}/deliverquota %{buildroot}%{_bindir}/deliverquota-maildrop
mv %{buildroot}%{_bindir}/maildirmake %{buildroot}%{_bindir}/maildirmake-maildrop

mv %{buildroot}%{_mandir}/man1/maildirmake.1 %{buildroot}%{_mandir}/man1/maildirmake-maildrop.1
mv %{buildroot}%{_mandir}/man8/deliverquota.8 %{buildroot}%{_mandir}/man8/maildirmake-deliverquota.8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL NEWS UPGRADE ChangeLog maildir/README* html
%doc INSTALL.html maildroptips.txt
%doc README.html UPGRADE.html
%doc maildir/README.maildirfilter.html
%doc maildir/README.maildirquota.html
%doc maildir/README.maildirquota.txt
%doc maildir/README.sharedfolders.html
%doc maildir/README.sharedfolders.txt

%attr(0755,root,mail) %dir %{_sysconfdir}/maildrop
%attr(0700,root,mail) %dir %{_sysconfdir}/maildrop/maildroprcs

%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/autoresponsesquota
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirfilterconfig
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildirshared
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/maildroprc
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/maildrop/quotawarnmsg

%attr(0755,root,mail) %{_bindir}/lockmail
%attr(0755,root,mail) %{_bindir}/maildrop
%attr(0755,root,root) %{_bindir}/deliverquota-maildrop
%attr(0755,root,root) %{_bindir}/mailbot
%attr(0755,root,root) %{_bindir}/maildirmake-maildrop
%attr(0755,root,root) %{_bindir}/makedatprog
%attr(0755,root,root) %{_bindir}/makemime
%attr(0755,root,root) %{_bindir}/reformime
%attr(0755,root,root) %{_bindir}/makedat
%attr(0755,root,root) %{_bindir}/reformail

%attr(0644,root,root) %{_mandir}/man[1578]/*


%changelog
* Mon Dec 12 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.5.5-1mdv2011.0
+ Revision: 740528
- version update 2.5.5

* Fri Oct 07 2011 Oden Eriksson <oeriksson@mandriva.com> 2.5.4-1
+ Revision: 703470
- 2.5.4 (bye bye 1.7.0)

* Thu Mar 17 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-24
+ Revision: 645831
- relink against libmysqlclient.so.18

* Sat Jan 01 2011 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-23mdv2011.0
+ Revision: 627257
- rebuilt against mysql-5.5.8 libs, again

* Thu Dec 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-22mdv2011.0
+ Revision: 626539
- rebuilt against mysql-5.5.8 libs

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-20mdv2011.0
+ Revision: 612792
- the mass rebuild of 2010.1 packages

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-19mdv2010.1
+ Revision: 507488
- rebuild

* Tue Feb 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-18mdv2010.1
+ Revision: 506732
- P3: security fix for CVE-2010-0301

* Mon Oct 05 2009 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-17mdv2010.0
+ Revision: 453965
- fix build (again)
- fix build
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Dec 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-15mdv2009.1
+ Revision: 311306
- rebuilt against mysql-5.1.30 libs

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 1.7.0-14mdv2009.0
+ Revision: 251710
- rebuild

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 24 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-12mdv2008.1
+ Revision: 137510
- rebuilt against openldap-2.4.7 libs

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7.0-11mdv2008.0
+ Revision: 83803
- rebuild

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - Import maildrop

